Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6297 - Err in resolv.h (/etc/resolv.conf)
Summary: Err in resolv.h (/etc/resolv.conf)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-24 04:00 UTC by chad
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-24 13:58:06 UTC


Attachments (Terms of Use)

Description chad 1999-10-24 04:00:05 UTC
This problem (bug) exists in 6.x series.  I have a
DNS server that resides at IP 10.0.0.1.  Using a RHL 6.x
series installation on another machine if I put 'nameserver
10.0.0.1' in the /etc/resolv.conf file, nslookup will not
work.  If I change that to say 192.168.100.1 or even
10.2.2.1, it works.

Since 10.0.0.1 is my firewall, default route, DNS server,
etc. this is rather a PIA. :)

Thanks,
Chad

Comment 1 Jim Kingdon 1999-10-24 13:58:59 UTC
It sounds like there is no reverse DNS for 10.0.0.1.
I'm changing the category to "bind" because nslookup is
part of the "bind-utils" package.


------- Additional Comments From   10/25/99 19:03 -------
I fail to see how not having a in-addr.arpa entry makes a difference.
You are correct there is no reverse entry for 10.0.0.1, BUT one would
need connectivity to the dns server to find that out.  When one uses
nslookup it should connect to the IP address listed in
/etc/resolv.conf, which when defined as 10.0.0.1, nslookup refuses to
do.  Ping, ssh, telnet, ftp, http, etc. all work to 10.0.0.1, so the
IP setup is correct.  The problem appears to be isolated to nslookup,
though I suppose dig might also have problems, I've not checked.

Comment 2 chad 1999-10-26 00:25:59 UTC
I fail to see how not having a in-addr.arpa entry makes a difference.
You are correct there is no reverse entry for 10.0.0.1, BUT one would
need connectivity to the dns server to find that out.  When one uses
nslookup it should connect to the IP address listed in
/etc/resolv.conf, which when defined as 10.0.0.1, nslookup refuses to
do.  Ping, ssh, telnet, ftp, http, etc. all work to 10.0.0.1, so the
IP setup is correct.  The problem appears to be isolated to nslookup,
though I suppose dig might also have problems, I've not checked.


Note You need to log in before you can comment on or make changes to this bug.